rpms/gthumb/F-12 gthumb-importer,1.1,1.2 gthumb.spec,1.104,1.105

Hans de Goede jwrdegoede at fedoraproject.org
Thu Jan 14 10:22:36 UTC 2010


Author: jwrdegoede

Update of /cvs/pkgs/rpms/gthumb/F-12
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv31570

Modified Files:
	gthumb-importer gthumb.spec 
Log Message:
* Thu Jan 14 2010 Hans de Goede <hdegoede at redhat.com> - 2.10.11-7
- Fix gthumb-importer script to properly unmount gvfs gphoto2 shares
  when called from nautilus to import photos (#552890)



Index: gthumb-importer
===================================================================
RCS file: /cvs/pkgs/rpms/gthumb/F-12/gthumb-importer,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -p -r1.1 -r1.2
--- gthumb-importer	2 May 2008 18:24:51 -0000	1.1
+++ gthumb-importer	14 Jan 2010 10:22:35 -0000	1.2
@@ -1,13 +1,15 @@
 #!/bin/bash
 
-# Nautilus passes a POSIX path; resolve to URI
-#
-URI=`gvfs-ls -c "$1/"`
-
-if [ "${URI:0:10}" = "gphoto2://" ] ; then
+# Nautilus passes a POSIX path; see if this is a gvfs gphoto2 mount
+if [[ "$1" =~ "$HOME/.gvfs/gphoto2" ]]; then
+    # Hack for multi head cams, nautilus will call us for both heads,
+    # but the second time we are started will fail because the device is in use
+    if ! mkdir $HOME/.gthumb-importer.lock 2> /dev/null; then
+        echo "gthumb-importer is already running!"
+        exit 1
+    fi
     # Yield for gthumb since it wants to access the device directly
-    #
-    gvfs-mount --unmount-scheme gphoto2
+    gvfs-mount --unmount "$1"
 fi
 
 # Launch gthumb in --import-photos mode - note that this also works
@@ -15,3 +17,5 @@ fi
 # libgphoto2.
 #
 gthumb --import-photos
+
+rmdir $HOME/.gthumb-importer.lock 2> /dev/null


Index: gthumb.spec
===================================================================
RCS file: /cvs/pkgs/rpms/gthumb/F-12/gthumb.spec,v
retrieving revision 1.104
retrieving revision 1.105
diff -u -p -r1.104 -r1.105
--- gthumb.spec	3 Aug 2009 04:47:38 -0000	1.104
+++ gthumb.spec	14 Jan 2010 10:22:36 -0000	1.105
@@ -9,7 +9,7 @@
 Summary: Image viewer, editor, organizer
 Name: gthumb
 Version: 2.10.11
-Release: 6%{?dist}
+Release: 7%{?dist}
 URL: http://gthumb.sourceforge.net
 Source0: http://download.gnome.org/sources/gthumb/2.10/%{name}-%{version}.tar.bz2
 Source1: gthumb-importer
@@ -145,6 +145,10 @@ fi
 %{_datadir}/icons/hicolor/48x48/apps/gthumb.png
 
 %changelog
+* Thu Jan 14 2010 Hans de Goede <hdegoede at redhat.com> - 2.10.11-7
+- Fix gthumb-importer script to properly unmount gvfs gphoto2 shares
+  when called from nautilus to import photos (#552890)
+
 * Mon Aug  3 2009 Matthias Clasen <mclasen at redhat.com> - 2.10.11-6
 - Drop unneeded direct deps
 



More information about the scm-commits mailing list